libwps::MultiplanParserInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
libwps::MultiplanParserInternal::State Struct Reference

the state of MultiplanParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
std::vector< WPSColumnFormat > | getColumnsWidth () const
| returns the column width in point More...

## Static Public Member Functions
static WPSFont | getDefaultFont ()
| returns a default font (Courier12) with file's version to define the default encoding *‍/ More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
Vec2i | m_maximumCell
| the maximumCell More...
std::vector< int > | m_columnWidths
| the columns width in char, 0 means default More...
std::vector< Zone > | m_zonesList
| the list of cell's data zone More...
std::map< int, std::vector< int > > | m_cellPositionsMap
| the positions of each cell: a vector for each row More...
WPSEntry | m_entries [5]
| the different main spreadsheet zones More...
std::map< int, WKSContentListener::FormulaInstruction > | m_posToLinkMap
| the list of link instruction More...
std::map< int, WKSContentListener::FormulaInstruction > | m_posToNameMap
| the map name's pos to name's cell instruction More...
std::set< int > | m_posToSharedDataSeen
| a set a shared data already seen More...
const char * | m_password
| the password (if known) More...
int | m_hash
| the file hash More...
int | m_checksum
| the file checksum More...
uint8_t | m_keys [16]
| the list of decoding keys More...

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of MultiplanParser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

libwps::MultiplanParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password
| ) |  |
| inline

constructor

## ◆ State() [2/2]

libwps::MultiplanParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getColumnsWidth()

std::vector< WPSColumnFormat > libwps::MultiplanParserInternal::State::getColumnsWidth | ( |  | ) | const

returns the column width in point

## ◆ getDefaultFont()

static WPSFont libwps::MultiplanParserInternal::State::getDefaultFont | ( |  | ) |
| inlinestatic

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type libwps::MultiplanParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ operator=()

State& libwps::MultiplanParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_cellPositionsMap

std::map<int,std::vector<int> > libwps::MultiplanParserInternal::State::m_cellPositionsMap

the positions of each cell: a vector for each row

## ◆ m_checksum

int libwps::MultiplanParserInternal::State::m_checksum

the file checksum

## ◆ m_columnWidths

std::vector<int> libwps::MultiplanParserInternal::State::m_columnWidths

the columns width in char, 0 means default

## ◆ m_entries

WPSEntry libwps::MultiplanParserInternal::State::m_entries[5]

the different main spreadsheet zones

## ◆ m_eof

long libwps::MultiplanParserInternal::State::m_eof

the last file position

## ◆ m_fontType

libwps_tools_win::Font::Type libwps::MultiplanParserInternal::State::m_fontType

the user font type

## ◆ m_hash

int libwps::MultiplanParserInternal::State::m_hash

the file hash

## ◆ m_keys

uint8_t libwps::MultiplanParserInternal::State::m_keys[16]

the list of decoding keys

## ◆ m_maximumCell

Vec2i libwps::MultiplanParserInternal::State::m_maximumCell

the maximumCell

## ◆ m_password

const char* libwps::MultiplanParserInternal::State::m_password

the password (if known)

## ◆ m_posToLinkMap

std::map<int, WKSContentListener::FormulaInstruction> libwps::MultiplanParserInternal::State::m_posToLinkMap

the list of link instruction

## ◆ m_posToNameMap

std::map<int, WKSContentListener::FormulaInstruction> libwps::MultiplanParserInternal::State::m_posToNameMap

the map name's pos to name's cell instruction

## ◆ m_posToSharedDataSeen

std::set<int> libwps::MultiplanParserInternal::State::m_posToSharedDataSeen

a set a shared data already seen

## ◆ m_version

int libwps::MultiplanParserInternal::State::m_version

the file version

## ◆ m_zonesList

std::vector<Zone> libwps::MultiplanParserInternal::State::m_zonesList

the list of cell's data zone

The documentation for this struct was generated from the following file:

- Multiplan.cpp